from fastapi import APIRouter, HTTPException
from helpers.framework_helpers import get_random_framework

router = APIRouter()

@router.get("/dave")
async def get_random_framework_route():
    framework = get_random_framework()
    if not framework:
        raise HTTPException(status_code=404, detail="Failed to retrieve a random framework")
    return {"framework": framework}